import 'package:flutter/material.dart';
import 'package:huddle01_flutter/huddle01_flutter.dart';

class ProducerModel extends ChangeNotifier {
  Producer? _mic;
  Producer? _webcam;
  Producer? _screen;

  set _setMic(Producer mic) {
    _mic = mic;
    notifyListeners();
  }

  set _setWebcam(Producer webcam) {
    _webcam = webcam;
    notifyListeners();
  }

  set _setScreen(Producer screen) {
    _screen = screen;
    notifyListeners();
  }

  Producer? get mic => _mic;

  Producer? get webcam => _webcam;

  Producer? get screen => _screen;

  void producerAdd(Producer producer) {
    switch (producer.source) {
      case 'mic':
        {
          _setMic = producer;
          break;
        }
      case 'webcam':
        {
          _setWebcam = producer;
          break;
        }
      case 'screen':
        {
          _setScreen = producer;
          break;
        }
      default:
        break;
    }
  }

  void producerRemove(String source) {
    switch (source) {
      case 'mic':
        {
          _mic?.close.call();
          break;
        }
      case 'webcam':
        {
          _webcam?.close.call();
          break;
        }
      case 'screen':
        {
          _screen?.close.call();
          break;
        }
      default:
        break;
    }
  }

  void producerPause(String source) {
    switch (source) {
      case 'mic':
        {
          _mic?.resume.call();
          break;
        }
      case 'webcam':
        {
          _webcam?.resume.call();
          break;
        }
      case 'screen':
        {
          _screen?.resume.call();
          break;
        }
      default:
        break;
    }
  }

  void producerResume(String source) {
    switch (source) {
      case 'mic':
        {
          _mic?.pause.call();
          break;
        }
      case 'webcam':
        {
          _webcam?.pause.call();
          break;
        }
      case 'screen':
        {
          _screen?.pause.call();
          break;
        }
      default:
        break;
    }
  }
}
