import 'package:flutter/foundation.dart';
import 'package:random_string/random_string.dart';

class RoomModel extends ChangeNotifier {
  // private state variables for room model
  late String? _activeSpeakerId;
  String _state = '';
  late String _url;

  RoomModel(String? url) {
    _url = url != null && url.isNotEmpty ? url.replaceAll('roomid', 'roomId') 
      : 'https://v3demo.mediasoup.org/?roomId=${randomAlpha(8).toLowerCase()}';
  }

  // set url input given by user
  set setUrl(String url) {
    _url = url;
    notifyListeners();
  }

  // send url to widget
  String get url => _url;

  // set state of room
  set setRoomState(String state) {
    _state = state;
    notifyListeners();
  }

  // send room state
  String get roomState => _state;

  // set state of room
  set setActiveSpeaker(String id) {
    _activeSpeakerId = id;
    notifyListeners();
  }

  // send room state
  String? get activeSpeaker => _activeSpeakerId;
}
