import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:huddle01_flutter/huddle01_flutter.dart';
import 'package:huddle01_flutter_example/logic/producer_model.dart';
import 'package:provider/provider.dart';

class Microphone extends StatefulWidget {
  const Microphone({Key? key}) : super(key: key);

  @override
  _MicrophoneState createState() => _MicrophoneState();
}

class _MicrophoneState extends State<Microphone> {
  @override
  Widget build(BuildContext context) {
    final Producer? mic = context.watch<ProducerModel>().mic;
    return Selector<ProducerModel, Producer?>(
      selector: (_, producers) => producers.mic,
      builder: (context, mic, child) {
        if (mic == null) {
          return IconButton(
            icon: Icon(
              Icons.mic_off,
              color: Colors.grey,
            ),
            onPressed: () {},
          );
        }
        return IconButton(
          onPressed: () {
            if (mic.paused) {
              context.read<HuddleClientRepository>().unmuteMic();
              setState(() {});
            } else {
              context.read<HuddleClientRepository>().muteMic();
              setState(() {});
            }
          },
          icon: Icon(mic.paused ? Icons.mic_off : Icons.mic),
        );
      },
    );
  }
}
