import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:huddle01_flutter/huddle01_flutter.dart';
import 'package:huddle01_flutter_example/logic/blocs/me/me_bloc.dart';
import 'package:huddle01_flutter_example/logic/producer_model.dart';
import 'package:provider/provider.dart';

class Webcam extends StatefulWidget {
  const Webcam({Key? key}) : super(key: key);

  @override
  _WebcamState createState() => _WebcamState();
}

class _WebcamState extends State<Webcam> {
  @override
  Widget build(BuildContext context) {
    bool inProgress =
        context.select((MeBloc bloc) => bloc.state.webcamInProgress);

    return Selector<ProducerModel, Producer?>(
      selector: (_, producers) => producers.webcam,
      builder: (context, webcam, child) {
        return IconButton(
          onPressed: () {
            // if (inProgress) {
            //   return;
            // }
            if (webcam != null) {
              context.read<HuddleClientRepository>().disableWebcam();
              setState(() {});
            } else {
              context.read<HuddleClientRepository>().enableWebcam();
              setState(() {});
            }
          },
          icon: Icon(webcam == null ? Icons.videocam_off : Icons.videocam),
        );
      },
    );
  }
}
